## org.apache.batik.apps.svgpp
Class Main.SystemIdHandler

    java.lang.Object
      org.apache.batik.apps.svgpp.Main.SystemIdHandler

All Implemented Interfaces:
  Main.OptionHandler

Enclosing class:
  Main

protected class Main.SystemIdHandler
extends java.lang.Object
implements Main.OptionHandler

To handle the '-system-id' option.

Constructor Summary
`protected` `Main.SystemIdHandler()`

Method Summary
`java.lang.String` `getDescription()` Returns the option description.
`void` `handleOption()` Handles the current option.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Main.SystemIdHandler

    protected Main.SystemIdHandler()

Method Detail

### handleOption

    public void handleOption()

  Description copied from interface: `Main.OptionHandler`
  Handles the current option.

  Specified by:
    `handleOption` in interface `Main.OptionHandler`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `Main.OptionHandler`
  Returns the option description.

  Specified by:
    `getDescription` in interface `Main.OptionHandler`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.